## avogadro 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0)
project(Avogadro) # the name of your project

# The Avogadro version number, currently used by the Avogadro library too
set(Avogadro_VERSION_MAJOR 1)
set(Avogadro_VERSION_MINOR 0)
set(Avogadro_VERSION_PATCH 3)
set(Avogadro_VERSION "${Avogadro_VERSION_MAJOR}.${Avogadro_VERSION_MINOR}")
set(Avogadro_VERSION_FULL "${Avogadro_VERSION}.${Avogadro_VERSION_PATCH}")

set(CMAKE_MODULE_PATH ${Avogadro_SOURCE_DIR}/cmake/modules)

cmake_policy(SET CMP0003 NEW)

# this is adapted from KDE's FindKDE4Internal.cmake : default the build type to
# "release with debug info".
#
# We will define two other build types: Debug and Release.
# These names are case-insensitive i.e. you can do -DCMAKE_BUILD_TYPE=debug
if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif (NOT CMAKE_BUILD_TYPE)

message(STATUS "The build type is ${CMAKE_BUILD_TYPE}")

include (CheckCXXCompilerFlag)
include (MacroEnsureVersion)
include (TestIfWeNeedFPermissive)

# use mulithreaded dll runtime on windows when using MSVC
if (MSVC)
  # Make sure the build is parallelised for faster builds
  set(CMAKE_CXX_FLAGS"${CMAKE_CXX_FLAGS} /MP")
  # Do not generate manifests for the plugins - caused issues loading plugins
  set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /MANIFEST:NO")
endif(MSVC)

###########################################################
# Here I am adding GCC magic from KDE. With these settings#
# compiler issues are fixed and more warnings are issued. #
###########################################################
# We should always respect the users CXXFLAGS if they have set them
if (CMAKE_COMPILER_IS_GNUCXX)
  set (CMAKE_CXX_FLAGS_WARN "-Wnon-virtual-dtor -Wno-long-long -ansi -Wcast-align -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wformat-security -fno-check-new -fno-common -pedantic")
  # On Linux with GCC 4.3+ these flags generate thousands of warnings, so they
  # are now optional. Most of the warnings are in included headers.
  option(EXTRA_WARNINGS
    "Enable extra GCC warnings - can generate thousands" OFF)
  if(EXTRA_WARNINGS)
    # Enable extra compiler warnings for extra checking
    set (CMAKE_CXX_FLAGS_WARN "${CMAKE_CXX_FLAGS_WARN} -Wconversion -Woverloaded-virtual -Wfloat-equal")
#  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wshadow -Wold-style-cast")
  endif(EXTRA_WARNINGS)
  add_definitions (-D_BSD_SOURCE)
  # Set some linker flags
  if(CMAKE_SYSTEM_NAME MATCHES Linux)
    set(CMAKE_SHARED_LINKER_FLAGS
      "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_SHARED_LINKER_FLAGS}")
    set(CMAKE_SHARED_LINKER_FLAGS
      "-Wl,--enable-new-dtags ${CMAKE_SHARED_LINKER_FLAGS}")
    set(CMAKE_MODULE_LINKER_FLAGS
      "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_SHARED_LINKER_FLAGS}")
    set(CMAKE_MODULE_LINKER_FLAGS
      "-Wl,--enable-new-dtags ${CMAKE_SHARED_LINKER_FLAGS}")
    set (CMAKE_EXE_LINKER_FLAGS
      "-Wl,--fatal-warnings -Wl,--no-undefined -lc ${CMAKE_SHARED_LINKER_FLAGS}")
    set(CMAKE_EXE_LINKER_FLAGS
      "-Wl,--enable-new-dtags ${CMAKE_EXE_LINKER_FLAGS}")
  endif (CMAKE_SYSTEM_NAME MATCHES Linux)
  # Now check if we can use visibility to selectively export symbols
  # Get the GCC version - from KDE4 cmake files
  exec_program(${CMAKE_C_COMPILER} ARGS --version OUTPUT_VARIABLE	_gcc_version_info)
  string (REGEX MATCH "[345]\\.[0-9]\\.[0-9]" _gcc_version "${_gcc_version_info}")
  # gcc on mac just reports: "gcc (GCC) 3.3 20030304 ..." without the
  # patch level, handle this here:
  if (NOT _gcc_version)
    string (REGEX REPLACE ".*\\(GCC\\).* ([34]\\.[0-9]) .*" "\\1.0" _gcc_version "${_gcc_version_info}")
  endif (NOT _gcc_version)
  if (NOT APPLE) # Mac GCC42 compiler has bug
    check_cxx_compiler_flag(-fvisibility=hidden HAVE_GCC_VISIBILITY)
    set(HAVE_GCC_VISIBILITY ${HAVE_GCC_VISIBILITY} CACHE BOOL "GCC support for hidden visibility")
	  macro_ensure_version("4.1.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_1)
	  macro_ensure_version("4.2.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_2)
	  set(_GCC_COMPILED_WITH_BAD_ALLOCATOR FALSE)
	  if (GCC_IS_NEWER_THAN_4_1)
	    exec_program(${CMAKE_C_COMPILER} ARGS -v OUTPUT_VARIABLE _gcc_alloc_info)
	    string(REGEX MATCH "(--enable-libstdcxx-allocator=mt)" _GCC_COMPILED_WITH_BAD_ALLOCATOR "${_gcc_alloc_info}")
	  endif (GCC_IS_NEWER_THAN_4_1)

	  if (HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR)
	    # We have all the parts necessary - use visibility support
	    add_definitions(-DHAVE_GCC_VISIBILITY)
	    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
	    if (GCC_IS_NEWER_THAN_4_2)
	      set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
	    endif (GCC_IS_NEWER_THAN_4_2)
	  endif (HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR)
	endif (NOT APPLE)
  # Set up additional build flags for particular build types. These will be added to CMAKE_CXX_FLAGS,
  # they will not replace them.
  set(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG -DQT_NO_DEBUG_OUTPUT -Wl,-s")
  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO
    "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} ${CMAKE_CXX_FLAGS_WARN}")
  set(CMAKE_CXX_FLAGS_DEBUG   "-g3 -fno-inline ${CMAKE_CXX_FLAGS_WARN}")

  TEST_IF_WE_NEED_FPERMISSIVE(NEED_FPERMISSIVE)
  if(NEED_FPERMISSIVE)
    #OK, adding -fpermissive to the C++ compiler flags
    #Workaround for a problem with Boost.Python and GCC >= 4.3.1
    #Further information: cmake/modules/TestIfWeNeedFPermissive.cmake
    set (CMAKE_CXX_FLAGS   "${CMAKE_CXX_FLAGS} -fpermissive")
  endif(NEED_FPERMISSIVE)

  # define WITH_SSE2 to enable the SSE2 instruction set.
  # Available on Pentium 4, Athlon 64, and newer CPUs.
  # Enabled by default on the x86_64 architecture, but not on the x86 architecture.
  # If SSE2 is enabled, Eigen uses it by default; this can be disabled by
  # definining EIGEN_DONT_VECTORIZE.
  if(WITH_SSE2)
    message(STATUS "Enabling the SSE2 instruction set")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2")
  endif(WITH_SSE2)
endif(CMAKE_COMPILER_IS_GNUCXX)


# Intel C++ Compiler
# Note: Windows version uses different options!
if(${CMAKE_CXX_COMPILER_ID} MATCHES Intel AND UNIX)
  # Disable warnings:
  # 981 - operands are evaluated in unspecified order
  # 1599 - foreach
  set (CMAKE_CXX_FLAGS_WARN "-Wnon-virtual-dtor -ansi -Wcheck -Wall -Wpointer-arith -wd981,1599")
  option(EXTRA_WARNINGS
    "Enable extra Intel Compiler warnings and remarks" OFF)
  if(EXTRA_WARNINGS)
    # Enable extra compiler warnings for extra checking
    set (CMAKE_CXX_FLAGS_WARN "${CMAKE_CXX_FLAGS_WARN} -w2 -Weffc++ -wd2012,2015")
  else(EXTRA_WARNINGS)
    # 810 - conversion to float
    # 383 - value copied to temporary, reference to temporary used
    # 1418 - external function definition with no prior declaration
    set (CMAKE_CXX_FLAGS_WARN "${CMAKE_CXX_FLAGS_WARN} -wd383,810,1418")
  endif(EXTRA_WARNINGS)
  add_definitions (-D_BSD_SOURCE)
  # Set some linker flags
  if(CMAKE_SYSTEM_NAME MATCHES Linux)
    set(CMAKE_SHARED_LINKER_FLAGS
      "-lc ${CMAKE_SHARED_LINKER_FLAGS}")
    set(CMAKE_MODULE_LINKER_FLAGS
      "-lc ${CMAKE_MODULE_LINKER_FLAGS}")
    set (CMAKE_EXE_LINKER_FLAGS
      "-lc ${CMAKE_EXE_LINKER_FLAGS}")
  endif (CMAKE_SYSTEM_NAME MATCHES Linux)
  check_cxx_compiler_flag(-fvisibility=hidden HAVE_INTEL_VISIBILITY)
  set(HAVE_INTEL_VISIBILITY ${HAVE_INTEL_VISIBILITY} CACHE BOOL "Intel Compiler support for hidden visibility")
  if(HAVE_INTEL_VISIBILITY)
    add_definitions(-DHAVE_GCC_VISIBILITY)
#	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
	check_cxx_compiler_flag(-fvisibility-inlines-hidden HAVE_INTEL_VISIBILITY_INLINES)
	set(HAVE_INTEL_VISIBILITY_INLINES ${HAVE_INTEL_VISIBILITY_INLINES} CACHE BOOL "Intel Compiler support for -fvisibility-inlines-hidden")
	if(HAVE_INTEL_VISIBILITY_INLINES)
	  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
	endif(HAVE_INTEL_VISIBILITY_INLINES)
  endif(HAVE_INTEL_VISIBILITY)
  
  set(CMAKE_C_FLAGS_RELEASE "-O3 -ipo1 -DNDEBUG -DQT_NO_DEBUG_OUTPUT -Wl,-s")
  set(CMAKE_CXX_FLAGS_RELEASE "-O3 -ipo1 -DNDEBUG -DQT_NO_DEBUG_OUTPUT -Wl,-s")

  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO
    "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} ${CMAKE_CXX_FLAGS_WARN}")
  set(CMAKE_CXX_FLAGS_DEBUG   "-g3 -fno-inline ${CMAKE_CXX_FLAGS_WARN}")

  TEST_IF_WE_NEED_FPERMISSIVE(NEED_FPERMISSIVE)
  if(NEED_FPERMISSIVE)
    #OK, adding -fpermissive to the C++ compiler flags
    #Workaround for a problem with Boost.Python and GCC >= 4.3.1
    #Further information: cmake/modules/TestIfWeNeedFPermissive.cmake
    set (CMAKE_CXX_FLAGS   "${CMAKE_CXX_FLAGS} -fpermissive")
  endif(NEED_FPERMISSIVE)
    
  # define WITH_SSE2 to enable the SSE2 instruction set.
  # Available on Pentium 4, Athlon 64, and newer CPUs.
  # If SSE2 is enabled, Eigen uses it by default; this can be disabled by
  # definining EIGEN_DONT_VECTORIZE.
  if(CMAKE_SIZEOF_VOID_P EQUAL 8 OR WITH_SSE2)
    message(STATUS "Enabling the SSE2 instruction set")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2")
  endif(CMAKE_SIZEOF_VOID_P EQUAL 8 OR WITH_SSE2)
endif(${CMAKE_CXX_COMPILER_ID} MATCHES Intel AND UNIX)

set(QT_MIN_VERSION "4.5.1") # we need at least version 4.5.1
find_package(Qt4 REQUIRED) # find and setup Qt4 for this project
find_package(OpenGL REQUIRED) # find and setup OpenGL
find_package(Linguist) # find and setup Linguist
find_package(Eigen2 REQUIRED) # find and setup Eigen2
find_package(ZLIB REQUIRED)
find_package(OpenBabel2 REQUIRED) # find and setup OpenBabel

# Check if we are building from a Git clone or a released version
function(git_version dir version_var)
  # Function to figure out the Git short version hash
  if(EXISTS ${dir}/.git)
    execute_process(COMMAND git rev-parse --short HEAD
            WORKING_DIRECTORY ${dir}
            OUTPUT_VARIABLE var)
    string(REGEX REPLACE "\n" "" var "${var}")
    message(STATUS "Git revision found to be ${var}")
    set(${version_var} "${var}" PARENT_SCOPE)
  endif(EXISTS ${dir}/.git)
endfunction(git_version)

git_version(${CMAKE_SOURCE_DIR} SCM_REVISION)
message(STATUS "Found Git revision is: ${SCM_REVISION}")
if(SCM_REVISION)
  message(STATUS "Building development version from Git clone.")
else(SCM_REVISION)
  message(STATUS "Building released version.")
endif(SCM_REVISION)

###########################################################
# Python Support: Detect and report all stuff here.       #
# Subdirectories can use: ALL_PYTHON_FOUND                #
###########################################################
option(ENABLE_PYTHON "Enable python support" ON)
if(ENABLE_PYTHON)
  include(PythonDeps)
  if (ALL_PYTHON_FOUND)
    message(STATUS "All python dependencies found - Python support enabled")
  endif (ALL_PYTHON_FOUND)
else(ENABLE_PYTHON)
  message(STATUS "Python support disabled.")
endif(ENABLE_PYTHON)

# Unit testing, mainly useful for developers and so defaults to off
option(ENABLE_TESTS "Enable unit testing" OFF)
if(ENABLE_TESTS)
  set(QT_USE_QTTEST TRUE)
  enable_testing()
  include (CTest)
  message(STATUS "Unit testing enabled, run make test to run them")
endif(ENABLE_TESTS)

# GLSL support is needed for OpenGL shaders
option(ENABLE_GLSL "Enable GLSL support" OFF)
if(ENABLE_GLSL)
  find_package(GLEW)
  if(GLEW_FOUND)
    message(STATUS "GLEW found and GLSL support enabled")
    add_definitions( -DENABLE_GLSL )
  else(GLEW_FOUND)
    message(WARNING "GLEW not found, please install it if you require GLSL")
  endif(GLEW_FOUND)
endif(ENABLE_GLSL)

# Multithreaded OpenGL. Seems mostly broken on Linux right now.
option(ENABLE_THREADEDGL "Enable threaded OpenGL rendering" OFF)
if(ENABLE_THREADEDGL)
  add_definitions( -DENABLE_THREADED_GL )
  set(THREADED_GL true)
  message(STATUS "Threaded OpenGL rendering enabled - needs more testing")
else(ENABLE_THREADEDGL)
  set(THREADED_GL false)
  message(STATUS "Threaded OpenGL rendering not enabled")
endif(ENABLE_THREADEDGL)

=== avogadro/CMakeLists.txt ===
project(avogadro)

if (WIN32)
  add_definitions( -DWIN32 )
  # add definitions for OB in WIN32
  add_definitions( -DUSING_OBDLL -DUSING_DYNAMIC_LIBS )
endif (WIN32)

# tell cmake to process CMakeLists.txt in that subdirectory
add_subdirectory(src)

=== doc/CMakeLists.txt ===
# find the required tools
find_program(DOCBOOK2PDF_EXECUTABLE docbook2pdf)
find_program(DOCBOOK2HTML_EXECUTABLE docbook2html)

if( DOCBOOK2PDF_EXECUTABLE AND DOCBOOK2HTML_EXECUTABLE )
   # create a target to build pdf docs
   add_custom_target(pdfdocs COMMAND ${DOCBOOK2PDF_EXECUTABLE} -o pdf
      ${CMAKE_CURRENT_SOURCE_DIR}/index.docbook )

   # create a target to build html docs
   add_custom_target(htmldocs COMMAND ${DOCBOOK2HTML_EXECUTABLE} -o html
      ${CMAKE_CURRENT_SOURCE_DIR}/index.docbook )

   # create a helper target to build both
   # if this is always wanted, the two custom targets above
   # can also be combined into one custom target with two COMMANDs
   #add_custom_target(alldocs ALL)
   add_custom_target(alldocs)
   add_dependencies(alldocs pdfdocs htmldocs)

   #FILE(GLOB avogadro_HTML RELATIVE ${CMAKE_CURRENT_BINARY_DIR}/html/ "*.html")
   #INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/pdf/index.pdf  DESTINATION share/doc/avogadro/pdf/ OPTIONAL)
   #INSTALL(FILES ${avogadro_HTML}  DESTINATION share/doc/avogadro/html/ OPTIONAL)

else( DOCBOOK2PDF_EXECUTABLE AND DOCBOOK2HTML_EXECUTABLE )
   message(STATUS "docbook tools not found, doc targets disabled")
endif( DOCBOOK2PDF_EXECUTABLE AND DOCBOOK2HTML_EXECUTABLE )

# Manpages
if(UNIX)
  file(GLOB man_1 *.1)
  install(FILES ${man_1} DESTINATION share/man/man1)
endif(UNIX)

=== avogadro/src/CMakeLists.txt ===
set(QT_USE_QTOPENGL true)
set(QT_USE_QTNETWORK true)

if(WIN32)
  set(QT_USE_QTMAIN true)
endif(WIN32)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/config.h
)

link_directories(${OPENBABEL2_LIBRARY_DIRS})

# Ensure the Avogadro include directory is always first
get_directory_property(tmp_include_dirs INCLUDE_DIRECTORIES)
set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES
  "${libavogadro_BINARY_DIR}/include;${tmp_include_dirs}")
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${OPENBABEL2_INCLUDE_DIR}
  ${EIGEN2_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

if(GLEW_FOUND)
  include_directories(${GLEW_INCLUDE_DIR})
endif(GLEW_FOUND)

include(${QT_USE_FILE})

FILE(GLOB avogadro_SRCS "*.cpp")

# Should we build the update checking code? Currently causes segfaults with Qt
# 4.5.3 on both Arch and Gentoo 64 bit platforms (may be more)
option(ENABLE_UPDATE_CHECKER
  "Should the Avogadro update checking code be compiled?" OFF)
if(ENABLE_UPDATE_CHECKER)
  add_definitions(-DENABLE_UPDATE_CHECKER)
else(ENABLE_UPDATE_CHECKER)
  list(REMOVE_ITEM avogadro_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/updatecheck.cpp")
  list(REMOVE_ITEM avogadro_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/updatedialog.cpp")
endif(ENABLE_UPDATE_CHECKER)

FILE(GLOB projectDelegates_SRCS "projectdelegates/*.cpp")
set(avogadro_SRCS ${avogadro_SRCS} ${projectDelegates_SRCS})
# Add GL2PS to the executable
set(avogadro_SRCS ${avogadro_SRCS} "../gl2ps/gl2ps.c")

if( WIN32 )
  set(avogadro_SRCS ${avogadro_SRCS} windows/avogadro.rc)
endif( WIN32)

file(GLOB avogadro_RCS "*.qrc")

file(GLOB avogadro_UIS "*.ui")

# designer has some flaws.
qt4_automoc(${avogadro_SRCS})
qt4_add_resources(avogadro_RC_SRCS ${avogadro_RCS})
qt4_wrap_ui(avogadro_UIS_H ${avogadro_UIS})

if(NOT WIN32 AND Linguist_FOUND)
  file(GLOB_RECURSE avogadro_PO "${Avogadro_SOURCE_DIR}/i18n/avogadro*.po")
  QT4_WRAP_PO(avogadro_QM ${avogadro_PO})
else()
  # don't attempt to create QM files on windows -- copy them from a linux build!
  file(GLOB_RECURSE avogadro_QM "${Avogadro_SOURCE_DIR}/avogadro/src/avogadro*.qm")
endif()

# Some relative rpath handling for Linux
if(CMAKE_SYSTEM_NAME MATCHES Linux AND ENABLE_RPATH)
  # Set a relative rpath on Linux - just testing right now...
  set(CMAKE_INSTALL_RPATH "$ORIGIN/../lib${LIB_SUFFIX}")
endif(CMAKE_SYSTEM_NAME MATCHES Linux AND ENABLE_RPATH)

add_executable(avogadro-app WIN32 MACOSX_BUNDLE
  ${avogadro_SRCS}
  ${avogadro_UIS_H}
  ${avogadro_RC_SRCS}
  ${avogadro_QM}
)

set_target_properties(avogadro-app PROPERTIES OUTPUT_NAME avogadro)

target_link_libraries(avogadro-app ${OPENBABEL2_LIBRARIES} ${QT_LIBRARIES}
    avogadro)

if(APPLE)
  set(MACOSX_BUNDLE_INFO_STRING "Avogadro - version ${Avogadro_VERSION_FULL}")
  set(MACOSX_BUNDLE_BUNDLE_VERSION ${Avogadro_VERSION_FULL})
  # Change following line to point to actual icns file in bundle.
  set(MACOSX_BUNDLE_ICON_FILE "avogadro.icns")
  # means bundle is set to be net.sourceforge.Avogadro
  set(MACOSX_BUNDLE_GUI_IDENTIFIER "net.sourceforge")
  set(MACOSX_BUNDLE_BUNDLE_NAME "Avogadro")

  set(CMAKE_INSTALL_DESTINATION_ARGS
      BUNDLE DESTINATION "${CMAKE_BUNDLE_LOCATION}")
  # This also sets the bundle name correctly
  set_target_properties(avogadro-app
    PROPERTIES OUTPUT_NAME "${CMAKE_BUNDLE_NAME}")

  # Use relative paths for the executable to link to its libraries
  set_target_properties(avogadro-app PROPERTIES
    CMAKE_INSTALL_NAME_DIR "@executable_path/../lib")

  set(MACOSX_SRC_DIR ${avogadro_SOURCE_DIR}/src/mac)

  # Overload the Info.plist default
  set(CMAKE_MODULE_PATH ${avogadro_SOURCE_DIR}/src/mac ${CMAKE_MODULE_PATH})

  # Do not install the bundle into the prefix - just everything else
  set(Avogadro_INSTALL_DESTINATIONS_ARGS
    BUNDLE DESTINATION "${CMAKE_BUNDLE_LOCATION}")

  install(FILES "mac/avogadro.icns" DESTINATION Resources)
  install(FILES "mac/AvogadroDocument.icns" DESTINATION Resources)

  # install .nib file
  set(QT_COCOA_NIB /Library/Frameworks/QtGui.framework/Versions/Current/Resources/qt_menu.nib)
  if(EXISTS ${QT_COCOA_NIB})
            install(DIRECTORY ${QT_COCOA_NIB}
                              DESTINATION Resources
                              USE_SOURCE_PERMISSIONS)
  endif(EXISTS ${QT_COCOA_NIB})

# Install a .lproj directory for each translation
# We're assuming that there will never be an libavogadro translation
#  without a corresponding avogadro one.
# (Fairly safe assumption)

# This regex gives us translations with just two characters
#  (e.g., avogadro_fr.ts)
  string(REGEX MATCHALL "-[a-z]+\\.po" langresult "${avogadro_PO}")
  string(REGEX REPLACE "-([^.]+)\\.po" "\\1" languages "${langresult}")
# This one gives us languages for country codes (e.g., avogadro_zh_CN.ts)
 string(REGEX MATCHALL "-[a-z]+_[A-Z]+\\.po" langresult "${avogadro_PO}")
 string(REGEX REPLACE "-([^_]+_[^.]+)\\.po" "\\1" fulllangs "${langresult}")
 set (LANGUAGES "${languages};${fulllangs};en;en_US")

    foreach(lang ${LANGUAGES})
    set( MAC_LANG_DIR "${CMAKE_INSTALL_PREFIX}/Resources/${lang}.lproj" )
    install(CODE "EXECUTE_PROCESS(COMMAND
          mkdir ${MAC_LANG_DIR}
          ERROR_QUIET)")
    install(CODE "EXECUTE_PROCESS(COMMAND
          ${MACOSX_SRC_DIR}/lang.sh ${MACOSX_SRC_DIR} ${MAC_LANG_DIR} ${Avogadro_VERSION_FULL} ${lang}
          OUTPUT_QUIET)")
  endforeach(lang ${TRANSLATIONS})
endif(APPLE)

install(TARGETS avogadro-app RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  ${Avogadro_INSTALL_DESTINATIONS_ARGS})

install(FILES ${avogadro_QM} DESTINATION ${I18N_INSTALL_DIR})

if(APPLE AND ENABLE_AVO_PACKAGE)
  set(OSX_MAKE_STANDALONE_BUNDLE_CMAKE_SCRIPT
    "${CMAKE_BINARY_DIR}/Avogadro_OSX_MakeStandAloneBundle.cmake")
  set(OSX_MAKE_STANDALONE_BUNDLE_BASH_SCRIPT
    "${CMAKE_BINARY_DIR}/Avogadro_OSX_MakeStandAloneBundle.sh")
  # Configure the cmake file and the shell script
  configure_file("${MACOSX_SRC_DIR}/CompleteBundle.cmake.in"
    "${OSX_MAKE_STANDALONE_BUNDLE_CMAKE_SCRIPT}" @ONLY IMMEDIATE)
  configure_file("${MACOSX_SRC_DIR}/CreateBundle.sh.in"
    "${OSX_MAKE_STANDALONE_BUNDLE_BASH_SCRIPT}" @ONLY IMMEDIATE)
  install(SCRIPT "${OSX_MAKE_STANDALONE_BUNDLE_CMAKE_SCRIPT}")
endif(APPLE AND ENABLE_AVO_PACKAGE)

# Install a .desktop file and icon for Linux users
if (CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME MATCHES kFreeBSD)
  install(FILES "avogadro.desktop" DESTINATION ${XDG_APPS_INSTALL_DIR})
  install(FILES "icons/avogadro-icon.png" DESTINATION ${XDG_ICON_INSTALL_DIR})
endif(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME MATCHES kFreeBSD)

#add_subdirectory(projectplugins)

=== libavogadro/src/CMakeLists.txt ===
set(QT_USE_QTOPENGL true)
set(QT_USE_QTNETWORK true)

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/config.h
)

include(${QT_USE_FILE})

# Ensure the Avogadro include directory is always first
get_directory_property(tmp_include_dirs INCLUDE_DIRECTORIES)
set_directory_properties(PROPERTIES INCLUDE_DIRECTORIES
  "${libavogadro_BINARY_DIR}/include;${tmp_include_dirs}")
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${EIGEN2_INCLUDE_DIR}
  ${OPENBABEL2_INCLUDE_DIR}
)

# I think this is necessary now in order to tell the linker where openbabel is
link_directories(${OPENBABEL2_LIBRARY_DIRS})

# Library translations
if(NOT WIN32 AND Linguist_FOUND)
  file(GLOB_RECURSE libavogadro_PO "${Avogadro_SOURCE_DIR}/i18n/libavogadro*.po")
  QT4_WRAP_PO(libavogadro_QM ${libavogadro_PO})
else()
  # don't attempt to create QM files on windows -- copy them from a linux build!
  file(GLOB_RECURSE libavogadro_QM "${Avogadro_SOURCE_DIR}/libavogadro/src/libavogadro*.qm")
endif()

file(GLOB libavogadro_SRCS "*.cpp")

# Only headers with exported symbols should actually be installed
set(libavogadro_HDRS
  animation.h
  atom.h
  bond.h
  camera.h
  color3f.h
  color.h
  colorbutton.h
  cube.h
  elementtranslator.h
  engine.h
  extension.h
  fragment.h
  glhit.h
  glwidget.h
  global.h
  idlist.h
  plotaxis.h # dlonie: Are these necessary here?
  plotobject.h
  plotpoint.h
  plotwidget.h
  mesh.h
  meshgenerator.h
  molecule.h
  moleculefile.h
  navigate.h
  neighborlist.h
  painter.h
  painterdevice.h
  periodictableview.h
  plugin.h
  pluginmanager.h
  primitive.h
  primitivelist.h
  protein.h
  residue.h
  tool.h
  toolgroup.h
  undosequence.h
  zmatrix.h
)

set(libavogadro_SRCS ${libavogadro_SRCS} ${libavogadro_UIS})
# Also add in the qtiocompressor class
#set(libavogadro_SRCS ${libavogadro_SRCS} ../qtiocompressor/qtiocompressor.cpp)

# Statically link the core engines and tools so that users have a working
# system even if no plugins can be found.
set(bsdyengine_SRCS engines/bsdyengine.cpp)
qt4_wrap_ui(bsdyengine_UIS engines/bsdysettingswidget.ui)
set(libavogadro_SRCS ${libavogadro_SRCS} ${bsdyengine_SRCS} ${bsdyengine_UIS})

set(elementcolor_SRCS colors/elementcolor.cpp)
set(libavogadro_SRCS ${libavogadro_SRCS} ${elementcolor_SRCS})

set(AVO_LINK_LIBRARIES ${OPENBABEL2_LIBRARIES}
                       ${QT_LIBRARIES}
                       ${OPENGL_LIBRARIES}
                       )

if(GLEW_FOUND)
  include_directories(${GLEW_INCLUDE_DIR})
  link_directories(${GLEW_LIBRARY_DIR})
  set(AVO_LINK_LIBRARIES ${AVO_LINK_LIBRARIES} ${GLEW_LIBRARY})
endif(GLEW_FOUND)

# If python dependencies aren't found, remove the Avogadro Python source files
if(NOT ENABLE_PYTHON OR NOT ALL_PYTHON_FOUND)
  set(PYTHON_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/pythoninterpreter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pythonscript.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pythonerror.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pythontool_p.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pythonengine_p.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/pythonextension_p.cpp)
  foreach(P_ITEM ${PYTHON_SRCS})
    list(REMOVE_ITEM libavogadro_SRCS "${P_ITEM}")
  endforeach(P_ITEM ${PYTHON_SRCS})
endif(NOT ENABLE_PYTHON OR NOT ALL_PYTHON_FOUND)

qt4_automoc(${libavogadro_SRCS})

# you have to add link_directories before you add the target
if(ENABLE_PYTHON AND ALL_PYTHON_FOUND)
  include_directories(
    ${Boost_INCLUDE_DIRS}
    ${PYTHON_INCLUDE_PATH})
  qt4_add_resources(pythontool_RC_SRCS pythontool.qrc)
  # The Python headers, only installed if Python is enabled
  set(python_HDRS
    pythoninterpreter.h
    pythonscript.h
    pythonerror.h
  )

  message(STATUS "Setting new boost python libraries")
  set(AVO_LINK_LIBRARIES ${AVO_LINK_LIBRARIES} ${PYTHON_LIBRARIES}
                         ${Boost_LIBRARIES})
  set(libavogadro_HDRS ${libavogadro_HDRS} ${python_HDRS})
endif(ENABLE_PYTHON AND ALL_PYTHON_FOUND)

# Set up the include directory and symlink/copy all headers to it.
# Note: Windows lacks symlinks and so the files must be copied.
make_directory("${libavogadro_BINARY_DIR}/include/avogadro")
if(UNIX)
  set(header_cmd "create_symlink")
else(UNIX)
  set(header_cmd "copy_if_different")
endif(UNIX)
foreach(headerFile ${libavogadro_HDRS})
  set(from "${CMAKE_CURRENT_SOURCE_DIR}/${headerFile}")
  set(to   "${libavogadro_BINARY_DIR}/include/avogadro/${headerFile}")
  execute_process(
    COMMAND ${CMAKE_COMMAND} -E ${header_cmd} "${from}" "${to}")
endforeach(headerFile ${libavogadro_HDRS})

add_library(avogadro SHARED ${libavogadro_SRCS} ${libavogadro_QM} ${pythontool_RC_SRCS})
set_target_properties(avogadro
  PROPERTIES VERSION ${Avogadro_VERSION_FULL} SOVERSION 1 )
target_link_libraries(avogadro ${AVO_LINK_LIBRARIES})

install(TARGETS avogadro DESTINATION ${LIB_INSTALL_DIR})
install(FILES ${libavogadro_HDRS}
  DESTINATION "${INCLUDE_INSTALL_DIR}/avogadro")
install(FILES ${libavogadro_QM} DESTINATION ${I18N_INSTALL_DIR})

# Add the engiens, tools and extensions directories
add_subdirectory(engines)
add_subdirectory(tools)
add_subdirectory(extensions)
add_subdirectory(colors)

# Add the boost python module if the boost::python was found
if(ENABLE_PYTHON AND ALL_PYTHON_FOUND)
  add_subdirectory(python)
endif(ENABLE_PYTHON AND ALL_PYTHON_FOUND)

=== libavogadro/src/engines/CMakeLists.txt ===
include(${QT_USE_FILE})

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(DESTINATION_DIR ${Avogadro_PLUGIN_INSTALL_DIR}/engines)

ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_SHARED)

link_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

set(LINK_LIBS "avogadro")

# label engine
avogadro_plugin(labelengine labelengine.cpp labelsettingswidget.ui)

# overlay engine
avogadro_plugin(overlayengine overlayengine.cpp)

# wireframe
avogadro_plugin(wireengine wireengine.cpp wiresettingswidget.ui)

# hydrogen bond
avogadro_plugin(hbondengine hbondengine.cpp hbondsettingswidget.ui)

# force engine
avogadro_plugin(forceengine forceengine.cpp)

# sphere
avogadro_plugin(sphereengine sphereengine.cpp spheresettingswidget.ui)

# stick (cylinder) engine
avogadro_plugin(stickengine stickengine.cpp sticksettingswidget.ui)

# Ribbon engine (biological structure)
avogadro_plugin(ribbonengine ribbonengine.cpp ribbonsettingswidget.ui)

# Cartoon engine (biological structure)
avogadro_plugin(cartoonengine "cartoonengine.cpp;cartoonmeshgenerator.cpp" cartoonsettingswidget.ui)

# Ring engine - display cyclic rings
avogadro_plugin(ringengine ringengine.cpp ringsettingswidget.ui)

# Polygon engine
avogadro_plugin(polygonengine polygonengine.cpp)

# Surface engine - molecular surfaces and 3D functions
avogadro_plugin(surfaceengine surfaceengine.cpp surfacesettingswidget.ui)

# Axes engine - display the axes
avogadro_plugin(axesengine axesengine.cpp)

# Dipole engine -- dipole moment
avogadro_plugin(dipoleengine dipoleengine.cpp dipolesettingswidget.ui)

# Simple wire engine - designed for efficiency with really big systems
avogadro_plugin(simplewireengine simplewireengine.cpp)

if(ALL_PYTHON_FOUND)
  file(GLOB python_SCRIPTS "python/*.py")
  install(FILES ${python_SCRIPTS} DESTINATION share/libavogadro/engineScripts)
endif(ALL_PYTHON_FOUND)

=== libavogadro/src/extensions/CMakeLists.txt ===
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_SHARED)

set(DESTINATION_DIR ${Avogadro_PLUGIN_INSTALL_DIR}/extensions)

include_directories(
  ../
  ${CMAKE_CURRENT_BINARY_DIR}
  ${ZLIB_INCLUDE_DIR}
)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

set(LINK_LIBS "avogadro")

### Template extension - template for extensions
#avogadro_plugin(templateextension templateextension.cpp)

### Input File Extension
set(inputfileextension_SRCS inputfileextension.cpp
#    daltoninputdialog.cpp
    gaussianinputdialog.cpp
    molproinputdialog.cpp
    mopacinputdialog.cpp
    nwcheminputdialog.cpp
    qcheminputdialog.cpp)
avogadro_plugin(inputfileextension "${inputfileextension_SRCS}"
 "gaussianinputdialog.ui;molproinputdialog.ui;mopacinputdialog.ui;nwcheminputdialog.ui;qcheminputdialog.ui")

### gamess
set(gamessextension_SRCS gamessextension.cpp
  gamessinputdialog.cpp
  gamessinputdata.cpp
  gamesshighlighter.cpp
  gamessefpmatchdialog.cpp)
avogadro_plugin(gamessextension
  "${gamessextension_SRCS}"
  "gamessinputdialog.ui;gamessefpmatchdialog.ui")

### Properties
avogadro_plugin(propextension
   "../tools/skeletontree.cpp;propmodel.cpp;propextension.cpp")

avogadro_plugin(molecularpropextension
        "molecularpropextension.cpp"
        molecularpropdialog.ui)

### Molecular Mechanics force fields
set(forcefieldextension_SRCS forcefieldextension.cpp forcefielddialog.cpp
  constraintsdialog.cpp constraintsmodel.cpp conformersearchdialog.cpp)
avogadro_plugin(forcefieldextension
  "${forcefieldextension_SRCS}"
  "forcefielddialog.ui;constraintsdialog.ui;conformersearchdialog.ui")

### hydrogens
avogadro_plugin(hydrogenextension hydrogensextension.cpp)

### Selections
avogadro_plugin(selectextension selectextension.cpp)

### unit cells
avogadro_plugin(unitcellextension
  "unitcellextension.cpp;unitcellparamdialog.cpp"
  unitcellparamdialog.ui)

### insert fragment
avogadro_plugin(insertfragmentextension
"insertfragmentextension.cpp;insertfragmentdialog.cpp;insertcommand.cpp"
  insertfragmentdialog.ui)

### insert peptide (builder)
avogadro_plugin(insertpeptideextension
  "insertpeptideextension.cpp;insertcommand.cpp"
  insertpeptidedialog.ui)

### h->methyl
avogadro_plugin(h2methylextension h2methylextension.cpp)

### Surfaces
set(surfaceextension_SRCS surfaceextension.cpp surfacedialog.cpp
  basisset.cpp gaussianfchk.cpp slaterset.cpp mopacaux.cpp molpro.cpp
  vdwsurface.cpp ../../qtiocompressor/qtiocompressor.cpp)
avogadro_plugin(surfaceextension "${surfaceextension_SRCS}" surfacedialog.ui)
target_link_libraries(surfaceextension ${LINK_LIBS} ${ZLIB_LIBRARIES})

### Vibrations
avogadro_plugin(vibrationextension
  "vibrationextension.cpp;vibrationdialog.cpp"
  vibrationdialog.ui)

### Spectra
avogadro_plugin(spectraextension
  "spectraextension.cpp;spectradialog.cpp;spectratype.cpp;spectratype_ir.cpp;spectratype_nmr.cpp"
  "spectradialog.ui;spectratabir.ui;spectratabnmr.ui")

if(ENABLE_PYTHON AND ALL_PYTHON_FOUND)
  ### python terminal
  message(STATUS "Enabled python terminal")
  avogadro_plugin(pythonterminal
    "pythonterminal.cpp;highlighter.cpp"
    pythonterminalwidget.ui)

  file(GLOB python_SCRIPTS "python/*.py")
  install(FILES ${python_SCRIPTS} DESTINATION share/libavogadro/extensionScripts)
endif(ENABLE_PYTHON AND ALL_PYTHON_FOUND)

### Animation
set(animationextension_SRCS animationextension.cpp animationdialog.cpp
  povpainter.cpp trajvideomaker.cpp)
avogadro_plugin(animationextension
  "${animationextension_SRCS}"
  animationdialog.ui
  animation.qrc)

### POV-Ray extension
avogadro_plugin("povrayextension"
  "povrayextension.cpp;povpainter.cpp;povraydialog.cpp"
  "povraydialog.ui")

### File import extension
avogadro_plugin(fileimportextension fileimportextension.cpp fileimportdialog.ui)

### Shader extension
if(GLEW_FOUND)
  avogadro_plugin(shaderextension
    shaderextension.cpp
    shaderdialog.ui)
  file(GLOB shader_VERT "shaders/*.vert")
  file(GLOB shader_FRAG "shaders/*.frag")
  file(GLOB shader_PARAMS "shaders/*.params")
  install(FILES ${shader_VERT} ${shader_FRAG} ${shader_PARAMS}
          DESTINATION share/libavogadro/shaders)
endif(GLEW_FOUND)

### super cells
avogadro_plugin(supercellextension
  "supercellextension.cpp;supercelldialog.cpp"
  supercelldialog.ui)

avogadro_plugin(networkfetchextension networkfetchextension.cpp)

=== libavogadro/src/python/CMakeLists.txt ===
include_directories(
  ${libavogadro_SOURCE_DIR}/include
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${OPENBABEL2_INCLUDE_DIR}
  ${BOOST_PYTHON_INCLUDES}
  ${PYTHON_INCLUDE_PATH}
  ${NUMPY_INCLUDE_DIR}
)

# use all cpp files in this directory
FILE(GLOB wrapper_SRCS "*.cpp")

qt4_automoc(moleculelist.cpp)

ADD_LIBRARY(python-module MODULE ${wrapper_SRCS})
SET_TARGET_PROPERTIES(python-module PROPERTIES OUTPUT_NAME Avogadro)
SET_TARGET_PROPERTIES(python-module PROPERTIES PREFIX "")
if (WIN32)
  SET_TARGET_PROPERTIES(python-module PROPERTIES SUFFIX ".pyd")
  TARGET_LINK_LIBRARIES(python-module avogadro)
else (WIN32)
  TARGET_LINK_LIBRARIES(python-module stdc++ avogadro)
endif (WIN32)

# Let's try to use this instead:
EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c
    "from sys import stdout; from distutils import sysconfig; stdout.write(sysconfig.get_python_lib(1))"
    OUTPUT_VARIABLE PYTHON_LIB_PATH)

message(STATUS "Python site-packages directory: ${PYTHON_LIB_PATH}")

option(INSTALL_PYTHON_MODULE "Install the avogadro python module for the system wide python installation." ON)
if (INSTALL_PYTHON_MODULE)
INSTALL(TARGETS python-module DESTINATION ${PYTHON_LIB_PATH})
endif (INSTALL_PYTHON_MODULE)

=== libavogadro/src/tools/CMakeLists.txt ===
include(${QT_USE_FILE})

ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_SHARED)

set(DESTINATION_DIR ${Avogadro_PLUGIN_INSTALL_DIR}/tools)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

link_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

set(LINK_LIBS "avogadro")

### drawtool
set(drawtool_SRCS
  drawtool.cpp
  drawcommand.cpp)
avogadro_plugin(drawtool
  "${drawtool_SRCS}"
  drawtool.qrc)

option(ENABLE_ZMATRIX_TOOL "Enable the z-matrix tool (experimental)" OFF)
if(ENABLE_ZMATRIX_TOOL)
  ### zmatrixtool
  set(zmatrixtool_SRCS zmatrixtool.cpp zmatrixdialog.cpp zmatrixmodel.cpp)
  avogadro_plugin(zmatrixtool
    "${zmatrixtool_SRCS}"
    zmatrixdialog.ui;zmatrixtool.qrc)
endif(ENABLE_ZMATRIX_TOOL)

### bondcentrictool
set(bondcentrictool_SRCS bondcentrictool.cpp skeletontree.cpp)
avogadro_plugin(bondcentrictool
  "${bondcentrictool_SRCS}"
  bondcentrictool.qrc)

### clickmeasuretool
avogadro_plugin(clickmeasuretool clickmeasuretool.cpp clickmeasuretool.qrc)

### selectrotatetool
avogadro_plugin(selectrotatetool selectrotatetool.cpp selectrotatetool.qrc)

### autoopttool
avogadro_plugin(autoopttool autoopttool.cpp autoopttool.qrc)

### navigatetool
avogadro_plugin(navigatetool
  "navigatetool.cpp;eyecandy.cpp" "navigatesettingswidget.ui;navigatetool.qrc")

### manipulatetool
avogadro_plugin(manipulatetool
  "manipulatetool.cpp;eyecandy.cpp" manipulatetool.qrc)

### autorotatetool
avogadro_plugin(autorotatetool autorotatetool.cpp autorotatetool.qrc)

### aligntool
avogadro_plugin(aligntool aligntool.cpp aligntool.qrc)

if(ALL_PYTHON_FOUND)
  file(GLOB python_SCRIPTS "python/*.py")
  install(FILES ${python_SCRIPTS} DESTINATION share/libavogadro/toolScripts)
endif(ALL_PYTHON_FOUND)

=== debian/changelog ===
avogadro (1.0.3-5) unstable; urgency=low

  * debian/control (Uploaders): Removed Jordan Mantha. Thanks for your work.
    (Build-Depends): Use libglew-dev.
    (Depends): Let libavogadro-dev depend on libglew-dev.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 06 Jun 2012 22:54:58 +0200

avogadro (1.0.3-4) unstable; urgency=low

  [ Michael Banck ]
  * Acknowledge NMU. 
  * debian/patches/hurd_ftbfs.patch: New patch, fixing build on hurd-i386,
    thanks to Pino Toscano.

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Added versioned dependency on python-numpy.
  * debian/rules (override_dh_python2): Added call to dh_numpy to fix lintian
    error.
  * debian/upstream: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 04 Jun 2012 21:55:51 +0200

avogadro (1.0.3-3.1) unstable; urgency=low

  * Non-Maintainer Upload.
  
  * patches/boost148.patch: New.  Work around moc limitation.  Closes:
    #653625.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 05:36:13 -0600

avogadro (1.0.3-3) unstable; urgency=low

  * debian/control (Build-Depends): Added libgl2ps-dev.
  * debian/patches/link_to_libgl2ps.patch: Added.
    - Link with -lgl2ps instead of compiling and linking the internal copy.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 05 Dec 2011 22:20:31 +0100

avogadro (1.0.3-2) unstable; urgency=low

  [ Michael Banck ]
  * debian/copyright: Explicitly state the 3-clause BSD license for the cmake
    module files.
  * debian/rules, debian/control: Convert to dh_python2, thanks to Barry
    Warsaw (Closes: #616742)
  * debian/patches/nwchem_input_ccsd.patch: New patch, fixes NWChem input
    extension input file generation for the CCSD method.

  [ Daniel Leidert ]
  * debian/avogadro.install: Install missing avopkg tool.
  * debian/compat: Increased dh compatibility level.
  * debian/control: Set X-Python-Version to 'current'. Use wrap-and-sort
    for *Depends* and Uploaders.
    (Build-Depends): Removed cdbs and patchutils. Increased required debhelper
    version.
    (Standards-Version): Bumped to 3.9.2.
    (Vcs-Browser): Point to real location.
    (Description): Fixed a typo reported by lintian.
    (Conflicts): Changed conflicts-with-version warning into Breaks.
  * debian/copyright: Minor update.
  * debian/pycompat: Dropped obsolete file.
  * debian/rules: Rewritten for debhelper 7.
  * debian/patches/nwchem_input_ccsd.patch: Added patch documentation.
  * debian/patches/series: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 04 Dec 2011 23:59:34 +0100

avogadro (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/install_translations.patch: Removed, applied upstream.
  * debian/source/format: New file, switching to 3.0/quilt.

 -- Michael Banck <mbanck@debian.org>  Mon, 25 Apr 2011 19:26:20 +0200

avogadro (1.0.2-1) unstable; urgency=low

  * New upstream release.
    + Fixes crash on Undo after erasing of any atom with attached Hs 
      (Closes: #602388).
  * debian/avogadro.install: Explicitly install /usr/bin/avogadro, avoiding
    avopkg.
  * debian/libavogadro-dev.install: Move avogadro.prf from /usr/features to
    /usr/share/qt4/mkspecs.
  * debian/patches/install_translations.patch: New file, fix installation of
    translations, taken from upstream.
  * debian/control (Build-Depends): Removed sip4.
  * debian/control (Standards-Version): Bumped to 3.9.1.

 -- Michael Banck <mbanck@debian.org>  Sun, 24 Apr 2011 01:00:16 +0200

avogadro (1.0.1-3) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/avogadro.install: Install manual pages from upstream.
  * debian/avogadro.manpages,
    debian/avogadro.1: Dropped in favour of upstream manual pages.
  * debian/libavogadro-dev.install: Install .prf file for QMake projects.

  [ Michael Banck ]
  * debian/rules (DEB_DH_GENCONTROL_ARGS_python-avogadro): Replace
    python$(PYVER)-sip4 by python$(PYVER)-sip (Closes: #581972). 
  * debian/rules (binary-install/python-avogadro): Added dh_sip.
  * debian/control (python-avogadro/Depends): Added ${sip:Depends}.
  * debian/control (Build-Depends): Replaced python-sip4-dev by
    python-sip-dev.

 -- Michael Banck <mbanck@debian.org>  Wed, 19 May 2010 18:35:43 +0200

avogadro (1.0.1-2) unstable; urgency=low

  * debian/rules (DEB_CMAKE_EXTRA_FLAGS): Define PYTHON_EXECUTABLE,
    PYTHON_LIBRARY and PYTHON_INCLUDE_DIR in order to make sure the correct
    version of python is used in case several are co-installed, thanks to
    Jakub Wilk (Closes: #577439).

 -- Michael Banck <mbanck@debian.org>  Fri, 07 May 2010 15:05:07 +0200

avogadro (1.0.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes crash when importing PDB files via network (Closes: #570230).
  * debian/patches/sip_4.10_support.patch: Removed, applied upstream.
  * debian/control (Build-Depends):  Bump required libqt4-dev version to
    4.5.0, as per CMakeLists.txt.

 -- Michael Banck <mbanck@debian.org>  Wed, 05 May 2010 17:57:59 +0200

avogadro (1.0.0-3) unstable; urgency=low

  [ Jordan Mantha ]
  * debian/python-avogadro.install: use wildcard to catch both site-packages
    and dist-packages python directories.

  [ Michael Banck ]
  * debian/patches/sip_4.10_support.patch: New patch, recognize new SIP
    version, taken from upstream (closes: #569438).

 -- Michael Banck <mbanck@debian.org>  Sat, 20 Feb 2010 23:33:54 +0100

avogadro (1.0.0-2) unstable; urgency=low

  [ Michael Banck ]
  * debian/libavogadro0.install: Wildcard the API directory.
  * debian/libavogadro-dev.install: Likewise.
  * debian/libavogadro0.install: Renamed to ...
  * debian/libavogadro1.install: ... this.
  * debian/control (libavogadro0): Renamed package to libavogadro1.  Update
    all references.
  * debian/rules: Likewise.
  * debian/control (libavogadro1): Replace and Conflict with libavogadro0.
  * debian/control (avogadro-data): New package.


=== debian/control ===
Source: avogadro
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
           Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: cmake (>> 2.6.0),
               debhelper (>> 7.0.50~),
               libboost-python-dev,
               libeigen2-dev (>> 2.0~beta6),
               libgl2ps-dev,
               libglew-dev,
               libopenbabel-dev (>> 2.2.0),
               libqt4-dev (>> 4.5.0),
               libqt4-opengl-dev,
               pkg-config,
               python (>> 2.6.6-3~),
               python-dev,
               python-numpy (>> 1:1.4.1-4~),
               python-sip-dev,
               qt4-dev-tools,
               zlib1g-dev
Standards-Version: 3.9.3
X-Python-Version: current
Homepage: http://avogadro.sourceforge.net/
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/avogadro/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/avogadro/
DM-Upload-Allowed: yes

Package: avogadro
Architecture: any
Depends: libavogadro1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: avogadro-data (>= 1.0.0-2)
Description: Molecular Graphics and Modelling System
 Avogadro is a molecular graphics and modelling system targeted at molecules
 and biomolecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 Features include:
  * Molecular modeller with automatic force-field based geometry optimization
  * Molecular Mechanics including constraints and conformer searches
  * Visualization of molecular orbitals and general isosurfaces
  * Visualization of vibrations and plotting of vibrational spectra
  * Support for crystallographic unit cells
  * Input generation for the Gaussian, GAMESS and MOLPRO quantum chemistry
    packages
  * Flexible plugin architecture and Python scripting
 .
 File formats Avogadro can read include PDB, XYZ, CML, CIF, Molden, as well as
 Gaussian, GAMESS and MOLPRO output.

Package: avogadro-data
Architecture: all
Depends: ${misc:Depends}
Breaks: avogadro (<< 1.0.0-2), libavogadro0 (<< 1.0.0-2)
Replaces: avogadro (<< 1.0.0-2), libavogadro0 (<< 1.0.0-2)
Description: Molecular Graphics and Modelling System (Data Files)
 Avogadro is a molecular graphics and modelling system targeted at molecules
 and biomolecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package contains data files like molecular builder fragments or
 OpenGL shaders.

Package: libavogadro1
Conflicts: libavogadro0
Replaces: libavogadro0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: avogadro-data (>= 1.0.0-2), python-avogadro
Description: Molecular Graphics and Modelling System (library)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the shared library.

Package: libavogadro-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libavogadro1 (= ${binary:Version}),
         libeigen2-dev (>= 2.0~beta6),
         libglew-dev,
         libopenbabel-dev (>= 2.2.0),
         libqt4-dev (>= 4.4.0),
         ${misc:Depends}
Description: Molecular Graphics and Modelling System (development files)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the development and header files.

Package: python-avogadro
Architecture: any
Section: python
Priority: extra
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
         ${pyavo:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         ${sip:Depends}
Replaces: libavogadro0 (<< 0.9.8)
Breaks: libavogadro0 (<< 0.9.8)
Provides: ${python:Provides}
Description: Molecular Graphics and Modelling System (Python module)
 Avogadro is a molecular graphics and modelling system targeted at small
 to medium molecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 This package provides the Python module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

LDFLAGS ?=
LDFLAGS += -Wl,-z,defs
LDFLAGS += -Wl,--as-needed

PYTHON_VERSION := $(shell pyversions -dv)

%:
	dh $@ --with python2 --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DENABLE_GLSL=ON \
	-DENABLE_RPATH=OFF \
	-DENABLE_UPDATE_CHECKER=OFF \
	-DPYTHON_EXECUTABLE=/usr/bin/python \
	-DPYTHON_LIBRARY=/usr/lib/libpython$(PYTHON_VERSION).so \
	-DPYTHON_INCLUDE_DIR=/usr/include/python$(PYTHON_VERSION)/

override_dh_install:
	dh_install --list-missing

override_dh_clean:
	dh_clean conf.log conf.pri

override_dh_python2:
	dh_python2 -ppython-avogadro
	dh_numpy -ppython-avogadro
	dh_sip

override_dh_gencontrol:
	dh_gencontrol -- -V'pyavo:Depends=python$(PYTHON_VERSION)-numpy, python$(PYTHON_VERSION)-qt4, python$(PYTHON_VERSION)-sip'

=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/avogadro/avogadro-([\d\.]+)\.tar.gz
